ChartGraphics (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.chart.ChartGraphics class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.chart
Class ChartGraphics

    java.lang.Object
      org.hyperic.image.chart.ChartGraphics

    public class ChartGraphics

extends java.lang.Object

Field Summary
`protected static int` | `EVENT_HEIGHT`
`protected static int` | `EVENT_WIDTH`
`java.awt.Graphics2D` | `graphics`
`protected static int` | `HALF_EVENT_HEIGHT`
`protected static int` | `HALF_EVENT_WIDTH`

Constructor Summary
`ChartGraphics(Chart chart, java.awt.Graphics2D graph)`

Method Summary
`void` | `dispose()`
`void` | `drawEvent(int eventId, int x, int y)`
`void` | `drawString(java.lang.String s, int x, int y, int effect)` Draws multiline strings
`void` | `drawXLegendString(java.lang.String text)`
`void` | `drawXLines(int[] lines, java.lang.String[] labels, boolean fullLines)`
`void` | `drawYLegendString(java.lang.String text)`
`void` | `drawYLines(int[] lines, java.lang.String[] labels, boolean fullLines, int skip)`
`static int` | `getStringHeight(java.lang.String s, java.awt.FontMetrics metrics)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT_HEIGHT

    protected static final int EVENT_HEIGHT

See Also:
  Constant Field Values

### EVENT_WIDTH

    protected static final int EVENT_WIDTH

See Also:
  Constant Field Values

### HALF_EVENT_HEIGHT

    protected static final int HALF_EVENT_HEIGHT

See Also:
  Constant Field Values

### HALF_EVENT_WIDTH

    protected static final int HALF_EVENT_WIDTH

See Also:
  Constant Field Values

### graphics

    public java.awt.Graphics2D graphics

Constructor Detail

### ChartGraphics

    public ChartGraphics(Chart chart,
                         java.awt.Graphics2D graph)

Method Detail

### dispose

    public void dispose()

### drawEvent

    public void drawEvent(int eventId,
                          int x,
                          int y)

### drawXLegendString

    public void drawXLegendString(java.lang.String text)

### drawYLegendString

    public void drawYLegendString(java.lang.String text)

### drawXLines

    public void drawXLines(int[] lines,
                           java.lang.String[] labels,
                           boolean fullLines)

### drawYLines

    public void drawYLines(int[] lines,
                           java.lang.String[] labels,
                           boolean fullLines,
                           int skip)

### drawString

    public void drawString(java.lang.String s,
                           int x,
                           int y,
                           int effect)

  Draws multiline strings

  Parameters:
    `s` - String to draw.
    `x` - x coordinate.
    `y` - y coordinate.

### getStringHeight

    public static int getStringHeight(java.lang.String s,
                                      java.awt.FontMetrics metrics)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.